
Katello - Bug #4701

 Cannot search lifecycle environment via its name if using UTF-8 characters

03/19/2014 09:55 AM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Description of problem:

Seems that searching for a lifecycle environment by name when the name has UTF-8 characters doesn't work.

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.8.25-1.el6sam.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.8.25-1.el6sam.noarch

candlepin-tomcat6-0.8.25-1.el6sam.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.5.0.8-1.el6sat.noarch

foreman-postgresql-1.5.0.8-1.el6sat.noarch

foreman-proxy-1.5.2-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

katello-1.5.0-17.el6sat.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.4-1.el6sat.noarch

katello-installer-0.0.28-1.el6sat.noarch

openldap-2.4.23-31.el6.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

How reproducible:

Steps to Reproduce:

1. LANG=en_US hammer -v -u admin -p changeme --output csv lifecycle-environment create --prior='Library'

--name='ÆêÀÎÚÓÊýÌØýÒâüÃ' --organization-id='oenwem'

2. LANG=en_US hammer -v -u admin -p changeme --output csv lifecycle-environment info --name='ÆêÀÎÚÓÊýÌØýÒâüÃ'

--organization-id='oenwem'

Actual results:
Error: environment with name 'ÆêÀÎÚÓÊýÌØýÒâüÃ' not found

Expected results:

Should be able to search by name

Additional info:

2014-03-17 14:18:14 - robottelo - DEBUG - Running test TestLifeCycleEnvironment/test_positive_create_1_{'name':

'\xc3\x86\xc3\xaa\xc3\x80\xc3\x8e\xc3\x9a\xc3\x93\xc3\x8a\xc3\xbd\xc3\x8c\xc3\x98\xc3\xbd\xc3\x92\xc3\xa2\xc3\xbc\xc3\x83'}

2014-03-17 14:18:14 - robottelo - DEBUG - >>> LANG=en_US hammer -v -u admin -p changeme --output csv lifecycle-environment

create --prior='Library' --name='ÆêÀÎÚÓÊýÌØýÒâüÃ' --organization-id='oenwem'

2014-03-17 14:18:15 - robottelo - DEBUG - <<< ['Message,Id,Name', 'Environment

created,406,\xc3\x86\xc3\xaa\xc3\x80\xc3\x8e\xc3\x9a\xc3\x93\xc3\x8a\xc3\xbd\xc3\x8c\xc3\x98\xc3\xbd\xc3\x92\xc3\xa2\xc3\xbc\xc

3\x83', '']

2014-03-17 14:18:15 - robottelo - DEBUG - >>> LANG=en_US hammer -v -u admin -p changeme --output csv lifecycle-environment

info --id='406'

2014-03-17 14:18:16 - robottelo - DEBUG - <<< ['ID,Name,Label,Description,Organization,Library,Prior Lifecycle Environment',

'406,\xc3\x86\xc3\xaa\xc3\x80\xc3\x8e\xc3\x9a\xc3\x93\xc3\x8a\xc3\xbd\xc3\x8c\xc3\x98\xc3\xbd\xc3\x92\xc3\xa2\xc3\xbc\xc3\x83,3

9e3207e-632a-4ac5-8c6e-14f9a7950f66,"",oenwem,"",Library', '']

2014-03-17 14:18:22 - robottelo - DEBUG - >>> LANG=en_US hammer -v -u admin -p changeme --output csv lifecycle-environment

info --name='ÆêÀÎÚÓÊýÌØýÒâüÃ' --organization-id='oenwem'

2014-03-17 14:18:23 - robottelo - DEBUG - <<< [ERROR 2014-03-17 14:18:21 Exception] Error: environment with name

'ÆêÀÎÚÓÊýÌØýÒâüÃ' not found

Error: environment with name 'ÆêÀÎÚÓÊýÌØýÒâüÃ' not found

[ERROR 2014-03-17 14:18:21 Exception]

RuntimeError (environment with name 'ÆêÀÎÚÓÊýÌØýÒâüÃ' not found):

/usr/lib/ruby/gems/1.8/gems/hammer_cli_katello-0.0.3/lib/hammer_cli_katello/scoped_names.rb:7:in `scoped_name_to_id'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_katello-0.0.3/lib/hammer_cli_katello/scoped_names.rb:48:in `execute'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:125:in `run'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/bin/hammer:77

/usr/bin/hammer:19:in `load'

/usr/bin/hammer:19

root@qetello02 ~]# hammer lifecycle-environment info --organization-id oenwem --id 406

ID:                          406

Name:                        ÆêÀÎÚÓÊýÌØýÒâüÃ

Label:                       39e3207e-632a-4ac5-8c6e-14f9a7950f66

Description:

Organization:                oenwem

Library:                     false

Prior Lifecycle Environment: Library

[root@qetello02 ~]# hammer lifecycle-environment info --organization-id oenwem --name ÆêÀÎÚÓÊýÌØýÒâüÃ

Error: environment with name 'ÆêÀÎÚÓÊýÌØýÒâüÃ' not found

Related issues:

Related to Katello - Bug #4829: Enable ascii folding on elasticsearch filters Resolved 03/25/2014

Related to Katello - Bug #5874: Name queries in the environments controller i... Closed 05/22/2014

Associated revisions

Revision c9fb003a - 03/26/2014 02:55 PM - Tomáš Strachota

Fixes #4701 - unable to search unicode strings in elasticsearch

Asciifolding filter maps all unicode characters to their ascii equivalents. The mapping is destructive and prevents the original forms from being looked

up. This behaviour is going to be fixed in elasticsearch 1.1 with option 'preserve_original'. I'm disabling the filter until the new elasticsearch is out and

we can migrate to it.
See docs for more details:

http://www.elasticsearch.org/guide/en/elasticsearch/reference/current/analysis-asciifolding-tokenfilter.html

Revision 347ce0fa - 03/27/2014 02:17 PM - Tomáš Strachota

Refs #4701 - vcr recording for package tests updated

Revision 728c01a7 - 03/28/2014 02:14 PM - Tomáš Strachota

Merge pull request #3882 from tstrachota/search

Fixes #4701 - unable to search unicode strings in elasticsearch

Revision ae28ba67 - 06/05/2014 12:25 PM - Tomáš Strachota

Fixes #4701, #5874 - removed lowercase filter from kt_name_analyzer

Lowercasing of names caused ambiguous results of search queries.

It also broke searching names containing uppercase international characters.

Revision 90255318 - 06/05/2014 12:32 PM - Justin Sherrill

Refs #4701 - updating VCR cassettes

Revision 49195dc9 - 06/05/2014 07:56 PM - Justin Sherrill

Merge pull request #4220 from jlsherrill/tstrachota-search

Fixes #4701, #5874 - removed lowercase filter from kt_name_analyzer

History

#1 - 03/19/2014 01:39 PM - Tomáš Strachota

- Project changed from Hammer CLI to Katello

- Category changed from 74 to API

- Target version deleted (1.9.0)

It turned out the issue is actually in the api itself.

#2 - 03/21/2014 08:05 PM - Mike McCune

- Triaged set to Yes

#3 - 03/21/2014 08:21 PM - Mike McCune

- Triaged deleted (Yes)

#4 - 03/21/2014 09:05 PM - Mike McCune

- Triaged set to Yes

#5 - 03/25/2014 09:35 AM - Tomáš Strachota

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/3882

#6 - 03/25/2014 09:37 AM - Tomáš Strachota

- Related to Bug #4829: Enable ascii folding on elasticsearch filters added

#7 - 03/28/2014 02:14 PM - Tomáš Strachota

- Status changed from Ready For Testing to Closed

#8 - 05/23/2014 01:06 PM - Tomáš Strachota

- Status changed from Closed to Assigned

Reopening. The search still fails when there are upper case international characters.
#9 - 05/23/2014 01:38 PM - Tomáš Strachota

- Related to Bug #5874: Name queries in the environments controller ignore case added

#10 - 05/23/2014 02:56 PM - Tomáš Strachota

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4149

#11 - 05/28/2014 07:23 PM - Eric Helms

- Target version set to 45

#12 - 06/05/2014 08:52 PM - Tomáš Strachota

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:ae28ba678531ccae353bea2932fc67138e51ee78.

#13 - 08/21/2014 02:30 PM - Eric Helms

- translation missing: en.field_release set to 13

Powered by TCPDF (www.tcpdf.org)

05/17/2024 4/4

https://github.com/Katello/katello/pull/4149
http://www.tcpdf.org

